package com.sonic.bear.service;

import com.sonic.common.auth.domains.Session;

import java.util.Optional;

public interface SessionCacheService {

    Optional<Session> get(String token);

    void cache(String token, Session session);

    void localCache(String token, Session session);

    void invalidate(String token);
}
